Partial Class Visitors_PromotionsToo
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Promotions")
        If Not IsPostBack Then
            If Not Request.QueryString(QueryStringName.Placement) Is Nothing Then
                ucPromotionDetail.Placement = CType(Request.QueryString(QueryStringName.Placement), Integer)
            Else
                Throw New CharterUIException("The 'AdName' query string is missing.")
            End If
        End If
	End Sub
End Class
